defmodule Berrypod.Repo.Migrations.CreateSocialLinks do
  use Ecto.Migration

  def change do
    create table(:social_links, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :platform, :string, null: false
      add :url, :string, null: false
      add :position, :integer, null: false, default: 0

      timestamps(type: :utc_datetime)
    end

    create index(:social_links, [:position])
  end
end
